Creates a new job work instruction list.

Request Information

URI Parameters :

None.

Body Parameters :

job_work_instruction_list
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier

Required

jobs_id

Foreign key of the jobs

globally unique identifier

Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided

jobs_reference_back_office

Embedded entity "jobs" using ERP PK when adding/updating

string

Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided

jobs

Embedded entity "jobs" when adding/updating

jobs

Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided

work_instruction_details_id

work instruction details id

globally unique identifier
work_instruction_details_reference_back_office

Embedded code "work instruction details" when adding/updating

string
work_instruction_details

Embedded entity "work instruction details" when adding/updating

work_instruction_details
user_id

Filled by the person that completed that item on the checklist

globally unique identifier
work_instruction_action_type

Value from work_instruction_action_type.name

string
work_instruction_id

work instruction id

globally unique identifier

Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided

work_instruction_reference_back_office

Embedded code "work instruction" when adding/updating

string

Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided

work_instruction

Embedded entity "work instruction" when adding/updating

work_instruction

Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided

name

The "on what"

string

Required

Max length: 4000

status

Status can be Ok,NotOk,Replaced,NotApplicable

string

Max length: 50

date_done

Datetime filled when status goes to one valable status.

date
remark

Additional remark from the technician.

string

Max length: 255

advise

Additional advice from the technician.

string

Max length: 255

sequence

To order it.

integer
reference_back_office

The Id/Ref of the back office for this job work instruction. Used by Embedded entity

string

Max length: 255

group_name

Name of the group

string

Max length: 4000

group_sequence

Order of the group

integer
type

One of the possible types which are Regular, Form, Picture, UsedParts, BillableHours. Regular is the default

string
instruction_document_count

Specify how many documents/photos must be added if type is Picture

integer
db_report_type_id

When type is Form, you must specify which db_report_type must be filled

globally unique identifier
db_report_type_name

When type is Form, you must specify which db_report_type must be filled

string
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "1521b270-4cff-44b3-9ae1-9c41f6036751",
  "jobs_id": "62d4c378-bf03-461c-ac20-b898aea5b67b",
  "jobs_reference_back_office": "sample string 3",
  "jobs": {
    "id": "94fab206-6581-4e69-823f-85f506a26981",
    "_parent_id": "1baa8fac-4092-40ba-b282-a5599884b1a5",
    "_parent_jobs_reference_back_office": "sample string 3",
    "project_id": "ee912f5c-7d2d-4ec0-8216-f97684a8d3e4",
    "project_reference_back_office": "sample string 5",
    "project": {
      "id": "9a02ec66-62c0-4523-9028-42cb4903290b",
      "_parent_id": "6c2ccd1c-9b86-4b07-a991-2015f4e42cd2",
      "root_parent_id": "40a48103-f02a-48c9-9940-72ec2ca818b3",
      "_parent_reference_back_office": "sample string 4",
      "equipment_family_id": "3a1e822b-f718-4594-be11-f172eb245fba",
      "equipment_family_code": "sample string 6",
      "equipment_family": {
        "id": "478fc0d3-3f9f-4cd5-b7f4-1fed92d1f247",
        "name": "sample string 2",
        "description": "sample string 3",
        "code": "sample string 4",
        "_parent_id": "9d97bf68-6024-44e0-b3a3-6a0ba91ec488",
        "_parent_code": "sample string 6",
        "sales_organization_id": "9e3c4a8f-c598-451c-845b-b0beab68f8dd",
        "sales_organization_code": "sample string 8",
        "sales_organization": {
          "id": "300075bd-13d9-42f9-9a55-583fb293bdd1",
          "code": "sample string 2",
          "name": "sample string 3",
          "description": "sample string 4",
          "db_country_id": "d25a2249-edea-41e1-8cb1-faefc9f471de",
          "db_currency_id": "03021856-4660-4ecf-b580-63fa7ae05c35",
          "db_language_id": "c514d7a6-346a-4b9c-aea9-1357974ff444",
          "accountancy_code": "sample string 8",
          "archived": true,
          "default_unit_of_measure_system_type": "sample string 10",
          "street": "sample string 11",
          "street2": "sample string 12",
          "street_number": "sample string 13",
          "zip": "sample string 14",
          "city": "sample string 15",
          "email": "sample string 16",
          "phone": "sample string 17",
          "fax": "sample string 18",
          "url": "sample string 19",
          "vat_reg_code": "sample string 20",
          "modified_dateutc": "2026-11-10T22:44:36.5365506+00:00"
        },
        "modified_dateutc": "2026-11-10T22:44:36.5529969+00:00"
      },
      "equipment_model_id": "ca8d965c-46a5-4e53-98c5-f40899196068",
      "equipment_model_code": "sample string 8",
      "equipment_model": {
        "id": "ad9cbe5c-358a-4c05-b601-5ea8eaa87072",
        "code": "sample string 2",
        "name": "sample string 3",
        "description": "sample string 4",
        "equipment_brand_id": "f9a83dba-c0f0-4311-8032-2e78d13842e1",
        "equipment_brand_code": "sample string 6",
        "equipment_brand": {
          "id": "0b35f68c-01bf-45f0-8f15-c1173cdfd8dd",
          "name": "sample string 2",
          "code": "sample string 3",
          "sales_organization_id": "46f23bfd-80c3-49dd-928a-a499d129c31d",
          "sales_organization_code": "sample string 5",
          "sales_organization": {
            "id": "300075bd-13d9-42f9-9a55-583fb293bdd1",
            "code": "sample string 2",
            "name": "sample string 3",
            "description": "sample string 4",
            "db_country_id": "d25a2249-edea-41e1-8cb1-faefc9f471de",
            "db_currency_id": "03021856-4660-4ecf-b580-63fa7ae05c35",
            "db_language_id": "c514d7a6-346a-4b9c-aea9-1357974ff444",
            "accountancy_code": "sample string 8",
            "archived": true,
            "default_unit_of_measure_system_type": "sample string 10",
            "street": "sample string 11",
            "street2": "sample string 12",
            "street_number": "sample string 13",
            "zip": "sample string 14",
            "city": "sample string 15",
            "email": "sample string 16",
            "phone": "sample string 17",
            "fax": "sample string 18",
            "url": "sample string 19",
            "vat_reg_code": "sample string 20",
            "modified_dateutc": "2026-11-10T22:44:36.5365506+00:00"
          },
          "modified_dateutc": "2026-11-10T22:44:36.5720946+00:00"
        },
        "equipment_family_id": "f9d4157b-708e-4833-887a-e7a4565e4d4b",
        "equipment_family_code": "sample string 8",
        "equipment_family": {
          "id": "478fc0d3-3f9f-4cd5-b7f4-1fed92d1f247",
          "name": "sample string 2",
          "description": "sample string 3",
          "code": "sample string 4",
          "_parent_id": "9d97bf68-6024-44e0-b3a3-6a0ba91ec488",
          "_parent_code": "sample string 6",
          "sales_organization_id": "9e3c4a8f-c598-451c-845b-b0beab68f8dd",
          "sales_organization_code": "sample string 8",
          "sales_organization": {
            "id": "300075bd-13d9-42f9-9a55-583fb293bdd1",
            "code": "sample string 2",
            "name": "sample string 3",
            "description": "sample string 4",
            "db_country_id": "d25a2249-edea-41e1-8cb1-faefc9f471de",
            "db_currency_id": "03021856-4660-4ecf-b580-63fa7ae05c35",
            "db_language_id": "c514d7a6-346a-4b9c-aea9-1357974ff444",
            "accountancy_code": "sample string 8",
            "archived": true,
            "default_unit_of_measure_system_type": "sample string 10",
            "street": "sample string 11",
            "street2": "sample string 12",
            "street_number": "sample string 13",
            "zip": "sample string 14",
            "city": "sample string 15",
            "email": "sample string 16",
            "phone": "sample string 17",
            "fax": "sample string 18",
            "url": "sample string 19",
            "vat_reg_code": "sample string 20",
            "modified_dateutc": "2026-11-10T22:44:36.5365506+00:00"
          },
          "modified_dateutc": "2026-11-10T22:44:36.5529969+00:00"
        },
        "date_in_production_since": "2026-11-10T22:44:36.5720946+00:00",
        "date_out_of_production_since": "2026-11-10T22:44:36.5720946+00:00",
        "date_end_support": "2026-11-10T22:44:36.5720946+00:00",
        "sales_organization_id": "619eeb2e-d5d3-4a13-8e62-f4b8814fed0f",
        "sales_organization_code": "sample string 13",
        "sales_organization": {
          "id": "300075bd-13d9-42f9-9a55-583fb293bdd1",
          "code": "sample string 2",
          "name": "sample string 3",
          "description": "sample string 4",
          "db_country_id": "d25a2249-edea-41e1-8cb1-faefc9f471de",
          "db_currency_id": "03021856-4660-4ecf-b580-63fa7ae05c35",
          "db_language_id": "c514d7a6-346a-4b9c-aea9-1357974ff444",
          "accountancy_code": "sample string 8",
          "archived": true,
          "default_unit_of_measure_system_type": "sample string 10",
          "street": "sample string 11",
          "street2": "sample string 12",
          "street_number": "sample string 13",
          "zip": "sample string 14",
          "city": "sample string 15",
          "email": "sample string 16",
          "phone": "sample string 17",
          "fax": "sample string 18",
          "url": "sample string 19",
          "vat_reg_code": "sample string 20",
          "modified_dateutc": "2026-11-10T22:44:36.5365506+00:00"
        },
        "replacement_period_nb_months": 14,
        "warranty_period_nb_months": 15,
        "translations": [
          {
            "field_name": "sample string 1",
            "language_code": "sample string 2",
            "value_translated": "sample string 3"
          },
          {
            "field_name": "sample string 1",
            "language_code": "sample string 2",
            "value_translated": "sample string 3"
          }
        ],
        "modified_dateutc": "2026-11-10T22:44:36.5720946+00:00"
      },
      "project_status_id": "1e12d736-7d4f-428b-8e5a-ce4a3ec46d57",
      "project_status_code": "sample string 10",
      "project_status": {
        "id": "a035a80f-bcba-478c-9957-cdc82e46eb9a",
        "name": "sample string 2",
        "is_default": true,
        "is_closed": true,
        "sales_organization_id": "47fbd75c-6f85-429f-a105-71179bcf30a2",
        "sales_organization_code": "sample string 6",
        "sales_organization": {
          "id": "300075bd-13d9-42f9-9a55-583fb293bdd1",
          "code": "sample string 2",
          "name": "sample string 3",
          "description": "sample string 4",
          "db_country_id": "d25a2249-edea-41e1-8cb1-faefc9f471de",
          "db_currency_id": "03021856-4660-4ecf-b580-63fa7ae05c35",
          "db_language_id": "c514d7a6-346a-4b9c-aea9-1357974ff444",
          "accountancy_code": "sample string 8",
          "archived": true,
          "default_unit_of_measure_system_type": "sample string 10",
          "street": "sample string 11",
          "street2": "sample string 12",
          "street_number": "sample string 13",
          "zip": "sample string 14",
          "city": "sample string 15",
          "email": "sample string 16",
          "phone": "sample string 17",
          "fax": "sample string 18",
          "url": "sample string 19",
          "vat_reg_code": "sample string 20",
          "modified_dateutc": "2026-11-10T22:44:36.5365506+00:00"
        },
        "code": "sample string 7",
        "modified_dateutc": "2026-11-10T22:44:36.5720946+00:00"
      },
      "company_id": "9328c876-bbac-4817-9072-6128ba097e59",
      "company_code": "sample string 12",
      "db_address_id": "84609354-5ea0-4579-be49-e5ad23bc2ce2",
      "db_address_code": "sample string 14",
      "location": "sample string 15",
      "contact_id": "814c395b-a7f1-4f71-9128-0413a07d0fe3",
      "contact_reference_back_office": "sample string 17",
      "owner_user_id": "d426418d-10b4-4845-9a80-a361de41d695",
      "name": "sample string 19",
      "description": "sample string 20",
      "reference_back_office": "sample string 21",
      "serial_number": "sample string 22",
      "barcode": "sample string 23",
      "date_start_production": "2026-11-10T22:44:36.5720946+00:00",
      "date_create": "2026-11-10T22:44:36.5720946+00:00",
      "date_update": "2026-11-10T22:44:36.5720946+00:00",
      "updated_by_user_id": "aecf74c0-260b-4e32-8ad5-af08f6b2ad4a",
      "customer_reference": "sample string 28",
      "warranty_date_until": "2026-11-10T22:44:36.5720946+00:00",
      "last_standard_result_score_1": "sample string 30",
      "last_standard_result_score_2": "sample string 31",
      "target_standard_result_score_1": "sample string 32",
      "target_standard_result_score_2": "sample string 33",
      "date_built": "2026-11-10T00:00:00+00:00",
      "shutdown_consequence": "sample string 35",
      "id2": 36,
      "nb_open_jobs": 37,
      "date_next_job": "2026-11-10T22:44:36.5720946+00:00",
      "date_last_job": "2026-11-10T22:44:36.5720946+00:00",
      "nb_jobs_planned": 40,
      "nb_jobs_tobeplanned": 41,
      "nb_jobs_waitingfurtheraction": 42,
      "back_office_timestamp": "2026-11-10T22:44:36.5720946+00:00",
      "modified_dateutc": "2026-11-10T22:44:36.5720946+00:00",
      "is_mobile_installation": true
    },
    "job_type_id": "6cb10887-d338-4370-8553-24b04f60364f",
    "job_type_code": "sample string 7",
    "job_type": {
      "id": "86bd44d6-df1b-4556-8da5-f4b435a5c72c",
      "name": "sample string 2",
      "sales_organization_id": "d7753dd7-f17a-4de2-a07c-8c4b4b77ecba",
      "description": "sample string 4",
      "is_default": true,
      "modified_dateutc": "2026-11-10T22:44:36.5720946+00:00",
      "code": "sample string 7"
    },
    "job_priority_id": "ed6f8f40-febd-48f9-906b-b1c8f24dc86c",
    "job_priority_code": "sample string 9",
    "job_priority": {
      "id": "40101c18-9814-4aff-aad5-24e10122171e",
      "name": "sample string 2",
      "is_default": true,
      "sequence": 4,
      "sales_organization_id": "3ed537fe-2f2b-48a5-920b-e5cc08720f07",
      "sales_organization_code": "sample string 6",
      "sales_organization": {
        "id": "300075bd-13d9-42f9-9a55-583fb293bdd1",
        "code": "sample string 2",
        "name": "sample string 3",
        "description": "sample string 4",
        "db_country_id": "d25a2249-edea-41e1-8cb1-faefc9f471de",
        "db_currency_id": "03021856-4660-4ecf-b580-63fa7ae05c35",
        "db_language_id": "c514d7a6-346a-4b9c-aea9-1357974ff444",
        "accountancy_code": "sample string 8",
        "archived": true,
        "default_unit_of_measure_system_type": "sample string 10",
        "street": "sample string 11",
        "street2": "sample string 12",
        "street_number": "sample string 13",
        "zip": "sample string 14",
        "city": "sample string 15",
        "email": "sample string 16",
        "phone": "sample string 17",
        "fax": "sample string 18",
        "url": "sample string 19",
        "vat_reg_code": "sample string 20",
        "modified_dateutc": "2026-11-10T22:44:36.5365506+00:00"
      },
      "code": "sample string 7",
      "modified_dateutc": "2026-11-10T22:44:36.5720946+00:00"
    },
    "job_status_id": "be16d07c-e064-465e-84f6-7b114caa95b8",
    "job_status_code": "sample string 11",
    "db_address_id": "524a3e44-54aa-4ed5-bfc7-e073974c2236",
    "contact_id": "15f98263-c69a-44fe-8740-aa3981ac4567",
    "requested_by_company_id": "1fb52083-dc37-467a-9b9c-2aab413b1cc0",
    "requested_by_contact_id": "51056a51-63d3-47f7-b9c3-be771262c4ec",
    "reference_back_office": "sample string 16",
    "name": "sample string 17",
    "description": "sample string 18",
    "working_sequence": 19,
    "internal_memo": "sample string 20",
    "prejob_information": "sample string 21",
    "estimated_time": 22,
    "earliest_date_plannable": "2026-11-10T22:44:36.5720946+00:00",
    "due_date": "2026-11-10T22:44:36.5720946+00:00",
    "date_create": "2026-11-10T22:44:36.5720946+00:00",
    "date_update": "2026-11-10T22:44:36.5720946+00:00",
    "date_closed": "2026-11-10T22:44:36.5720946+00:00",
    "suggested_user_id": "c04786a2-221a-4507-8081-d87bf421ead2",
    "suggested_user_code": "sample string 29",
    "suggested_user": {
      "id": "0ec11901-c2ef-4a2f-93bf-72f8057791c9",
      "db_language_id": "e2aa4e24-bddf-4660-abc2-b1388a50ac65",
      "username": "sample string 3",
      "firstname": "sample string 4",
      "lastname": "sample string 5",
      "code": "sample string 6",
      "archived": true,
      "disabled": true,
      "emergency_contact": "sample string 9",
      "bankaccount": "sample string 10",
      "social_security": "sample string 11",
      "place_of_birth": "sample string 12",
      "nationality": "sample string 13",
      "functions": "sample string 14",
      "birthdate": "2026-11-10T22:44:36.5720946+00:00",
      "skype": "sample string 16",
      "notes": "sample string 17",
      "sales_organization_id": "63b0df2b-3189-476f-a75d-592731199c31",
      "sales_organization": {
        "id": "300075bd-13d9-42f9-9a55-583fb293bdd1",
        "code": "sample string 2",
        "name": "sample string 3",
        "description": "sample string 4",
        "db_country_id": "d25a2249-edea-41e1-8cb1-faefc9f471de",
        "db_currency_id": "03021856-4660-4ecf-b580-63fa7ae05c35",
        "db_language_id": "c514d7a6-346a-4b9c-aea9-1357974ff444",
        "accountancy_code": "sample string 8",
        "archived": true,
        "default_unit_of_measure_system_type": "sample string 10",
        "street": "sample string 11",
        "street2": "sample string 12",
        "street_number": "sample string 13",
        "zip": "sample string 14",
        "city": "sample string 15",
        "email": "sample string 16",
        "phone": "sample string 17",
        "fax": "sample string 18",
        "url": "sample string 19",
        "vat_reg_code": "sample string 20",
        "modified_dateutc": "2026-11-10T22:44:36.5365506+00:00"
      },
      "sales_organization_code": "sample string 19",
      "is_team_leader": true,
      "team_leader_user_id": "11e189c0-1abf-4b14-ac53-8f8fcf763e4c",
      "email": "sample string 22",
      "phone": "sample string 23",
      "fax": "sample string 24",
      "mobile": "sample string 25",
      "private_email": "sample string 26",
      "private_phone": "sample string 27",
      "private_fax": "sample string 28",
      "private_mobile": "sample string 29",
      "private_street": "sample string 30",
      "private_street_number": "sample string 31",
      "private_city": "sample string 32",
      "private_zip": "sample string 33",
      "private_db_country_id": "f92bd02f-a18f-4697-aa41-e686677ca59c",
      "private_db_country_code": "sample string 35",
      "modified_dateutc": "2026-11-10T22:44:36.5720946+00:00",
      "allow_hero_app": true,
      "allow_sales_app": true,
      "allow_service_app": true,
      "user_group_id": "d37eed3d-25d2-42a8-9fb7-208b66400ea8"
    },
    "suggested_date_start": "2026-11-10T22:44:36.5720946+00:00",
    "skill_id": "f2ab375f-1020-444d-9065-153f1dfa4c5d",
    "skill_code": "sample string 32",
    "skill": {
      "id": "6bf4c0ba-29e8-4f10-9fb3-320479ab7d31",
      "name": "sample string 2",
      "description": "sample string 3",
      "code": "sample string 4",
      "sales_organization_id": "6558c354-0233-4791-bc02-5cad0278d255",
      "sales_organization_code": "sample string 6",
      "sales_organization": {
        "id": "300075bd-13d9-42f9-9a55-583fb293bdd1",
        "code": "sample string 2",
        "name": "sample string 3",
        "description": "sample string 4",
        "db_country_id": "d25a2249-edea-41e1-8cb1-faefc9f471de",
        "db_currency_id": "03021856-4660-4ecf-b580-63fa7ae05c35",
        "db_language_id": "c514d7a6-346a-4b9c-aea9-1357974ff444",
        "accountancy_code": "sample string 8",
        "archived": true,
        "default_unit_of_measure_system_type": "sample string 10",
        "street": "sample string 11",
        "street2": "sample string 12",
        "street_number": "sample string 13",
        "zip": "sample string 14",
        "city": "sample string 15",
        "email": "sample string 16",
        "phone": "sample string 17",
        "fax": "sample string 18",
        "url": "sample string 19",
        "vat_reg_code": "sample string 20",
        "modified_dateutc": "2026-11-10T22:44:36.5365506+00:00"
      },
      "modified_dateutc": "2026-11-10T22:44:36.5834294+00:00"
    },
    "customer_reference": "sample string 33",
    "approval_responsible_user_id": "59a0e667-3eef-4614-b576-f631773f9ceb",
    "date_reported_by_company": "2026-11-10T22:44:36.5834294+00:00",
    "id2": 36,
    "company_id": "df70694e-80fb-4ced-a924-5995e1130e69",
    "company_code": "sample string 38",
    "db_address_name": "sample string 39",
    "db_address_street": "sample string 40",
    "db_address_street2": "sample string 41",
    "db_address_street_number": "sample string 42",
    "db_address_city": "sample string 43",
    "db_address_zip": "sample string 44",
    "db_address_db_country_id": "1e9d4d3f-6e84-443d-bb7a-8a3803aa7730",
    "db_address_db_country_code": "sample string 46",
    "db_address_phone": "sample string 47",
    "db_address_email": "sample string 48",
    "db_address_latitude_decimal": 49.0,
    "db_address_longitude_decimal": 50.0,
    "estimated_quantity_remark": "sample string 51",
    "modified_dateutc": "2026-11-10T22:44:36.5834294+00:00"
  },
  "work_instruction_details_id": "49367ac9-b2a6-44cd-9cfb-e2e518ed57e2",
  "work_instruction_details_reference_back_office": "sample string 5",
  "user_id": "3712a511-27c8-4ac1-9049-36f29fd1c263",
  "work_instruction_action_type": "sample string 7",
  "work_instruction_id": "a612147e-109e-47a0-a590-f14fd7d04e60",
  "work_instruction_reference_back_office": "sample string 9",
  "name": "sample string 10",
  "status": "sample string 11",
  "date_done": "2026-11-10T22:44:36.5834294+00:00",
  "remark": "sample string 13",
  "advise": "sample string 14",
  "sequence": 1,
  "reference_back_office": "sample string 15",
  "group_name": "sample string 16",
  "group_sequence": 1,
  "type": "sample string 17",
  "instruction_document_count": 1,
  "db_report_type_id": "5ed3ead6-266e-4588-bdfc-8863c01764d2",
  "db_report_type_name": "sample string 18",
  "modified_dateutc": "2026-11-10T22:44:36.5834294+00:00"
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.